Package oracle.jdbc

## Enum LargeObjectAccessMode

- java.lang.Object
- - java.lang.Enum<LargeObjectAccessMode>
  - - oracle.jdbc.LargeObjectAccessMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LargeObjectAccessMode>`

    public enum LargeObjectAccessMode
    extends java.lang.Enum<LargeObjectAccessMode>

Since:
  release specific (what release of product did this appear in)

### Enum Constant Summary

Enum Constants
`MODE_READONLY`
`MODE_READWRITE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static LargeObjectAccessMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LargeObjectAccessMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MODE_READONLY

    public static final LargeObjectAccessMode MODE_READONLY

#### MODE_READWRITE

    public static final LargeObjectAccessMode MODE_READWRITE

### Method Detail

#### values

    public static LargeObjectAccessMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LargeObjectAccessMode c : LargeObjectAccessMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LargeObjectAccessMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()